<?php
// Paramètres de connexion à la base de données
$host = "localhost"; // Adresse du serveur de base de données
$utilisateur = "root"; // Nom d'utilisateur de la base de données
$motDePasse = ""; // Mot de passe de la base de données
$nomBaseDeDonnees = "php_cda"; // Nom de la base de données

// Chaîne de connexion PDO
$dsn = "mysql:host=$host;dbname=$nomBaseDeDonnees;charset=utf8";

// Options de connexion PDO
$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES   => false,
];

// Tentative de connexion à la base de données
try {
    $connexion = new PDO($dsn, $utilisateur, $motDePasse, $options);
    echo "Connexion réussie !";
} catch (PDOException $e) {
    die("Échec de la connexion : " . $e->getMessage());
}
