<?php
global $connexion;
require_once 'models/Database.php';
require_once 'utilities/_security.php';


if (!empty($_POST)) {
    if (
        empty($_POST['title'])
        || empty($_POST['content'])
        || empty($_POST['created_at'])
        || !isset($_POST['title'])
        || !isset($_POST['content'])
        || !isset($_POST['created_at'])
    ) {
        echo 'Les informations fournies sont incorrectes !';

    } else {
        $title =  valid_data($_POST['title']);
        $content = valid_data($_POST['content']);
        $created_at = valid_data($_POST['created_at']);

        $request   = $connexion->prepare("INSERT INTO article (title, content, created_at)
        VALUES (:title, :content, :created_at)");
        $statement = $request->execute(
            [
                ':title'      => $title,
                ':content'    => $content,
                ':created_at' => $created_at,
            ]
        );

        if ($statement) {
            header('Location: /');
        } else {
            echo 'Une erreur est survenue';
        }


    }
}





