<?php

class Article
{
    private $title;
    private $content;
    private $created_at;
    private $id;

    public function __construct(
        string $title,
        string $content,
        string $created_at,
        int $id = null,
    ) {
        $this->title = $title;
        $this->content = $content;
        $this->created_at = $created_at;
        $this->id = $id;
    }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function setTitle(string $title): void
    {
        $this->title = $title;
    }

    public function getContent(): string
    {
        return $this->content;
    }

    public function setContent(string $content): void
    {
        $this->content = $content;
    }

    public function getCreated_at(): string
    {
        return $this->created_at;
    }

    public function setCreated_at(string $created_at): void
    {
        $this->created_at = $created_at;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function hydrate(array $donnees)
    {
        foreach ($donnees as $key => $value) {
            $this->$key = $value;
        }
    }

    public function toArray()
    {
        return [
            'title' => $this->title,
            'content' => $this->content,
            'created_at' => $this->created_at,
            'id' => $this->id,
        ];
    }

}